Bug 1301950 - "Unknown Property NovaApiVirtualIP" when upgrading from 7.1 to 7.2 [NEEDINFO]
"Unknown Property NovaApiVirtualIP" when upgrading from 7.1 to 7.2
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: y3
: 8.0 (Liberty)
Assigned To: Jiri Stransky
yeylon@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 07:31 EST by Nicolas Auvray
Modified: 2016-10-04 00:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 11:08:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jcoufal: needinfo? (nauvray)


Attachments (Terms of Use)
rpm -qa | grep openstack (2.54 KB, text/plain)
2016-01-26 07:31 EST, Nicolas Auvray
no flags Details
/home/stack/templates/my-overcloud /usr/share/openstack-tripleo-heat-templates (7.39 KB, text/plain)
2016-01-26 10:36 EST, Nicolas Auvray
no flags Details

  None (edit)
Description Nicolas Auvray 2016-01-26 07:31:10 EST
Created attachment 1118468 [details]
rpm -qa | grep openstack

Description of problem:

The stack fails to upgrade on an up-to-date undercloud machine. After following the documentation, running "openstack --debug overcloud update stack overcloud -i --templates /home/stack/templates/my-overcloud/ -e /home/stack/templates/my-overcloud/environments/storage-environment.yaml -e /home/stack/templates/my-overcloud/environments/network-isolation.yaml -e /home/stack/templates/infra-environment.yaml -e /home/stack/templates/my-overcloud/environments/updates/update-from-vip.yaml -e /home/stack/templates/my-overcloud/param-updates.yaml" exits with error:

HTTPBadRequest: ERROR: Failed to validate: Property error: resources[0].properties: Unknown Property NovaApiVirtualIP

Here is what I have in heat-api log :

2016-01-26 13:17:28.615 1694 DEBUG heat.common.serializers [req-2a47eb5e-26b9-4fb6-8724-6fb9fcf66a23 3d0a2816428a410f97bba53dd8e507df 70dd43eb2cad44c89faa788b0e755dd2] JSON response : {"explanation": "The server could not comply with the request since it is either malformed or otherwise incorrect.", "code": 400, "error": {"message": "Failed to validate: Property error: resources[0].properties: Unknown Property NovaApiVirtualIP", "traceback": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.7/site-packages/heat/common/context.py\", line 300, in wrapped\n    return func(self, ctx, *args, **kwargs)\n\n  File \"/usr/lib/python2.7/site-packages/heat/engine/service.py\", line 761, in update_stack\n    updated_stack.validate()\n\n  File \"/usr/lib/python2.7/site-packages/osprofiler/profiler.py\", line 105, in wrapper\n    return f(*args, **kwargs)\n\n  File \"/usr/lib/python2.7/site-packages/heat/engine/stack.py\", line 618, in validate\n    raise ex\n\nStackValidationFailed: Failed to validate: Property error: resources[0].properties: Unknown Property NovaApiVirtualIP\n", "type": "StackValidationFailed"}, "title": "Bad Request"} to_json /usr/lib/python2.7/site-packages/heat/common/serializers.py:42


Version-Release number of selected component (if applicable):

See attached "rpm -qa | grep openstack"


How reproducible:

I cannot redeploy the full stack because I'm on customer site.
Comment 2 Jiri Stransky 2016-01-26 08:27:31 EST
I see custom set of templates (~/templates/my-overcloud) is being used. Could there be some significant differences between those and the ones coming from RPM? (Perhaps using `diff -r /home/stack/templates/my-overcloud /usr/share/openstack-tripleo-heat-templates` could point something out.)
Comment 3 Nicolas Auvray 2016-01-26 10:35:15 EST
Yes I'm using a custom set of templates, with minor modifications tho. See attachment for details. Could there be something wrong?
Comment 4 Nicolas Auvray 2016-01-26 10:36 EST
Created attachment 1118535 [details]
/home/stack/templates/my-overcloud /usr/share/openstack-tripleo-heat-templates
Comment 5 Jiri Stransky 2016-01-28 04:32:39 EST
I don't see anything in the diff that looks like it could be related to the error you're seeing. However, i now noticed that the deployment command is missing the resource registry -- "-e ~/templates/my-overcloud/overcloud-resource-registry-puppet.yaml". It should be the first of the environment files passed to that command (order matters). See the docs for an example:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html#sect-Updating_the_Overcloud_Packages
Comment 6 Jaromir Coufal 2016-02-03 08:38:27 EST
Nicolas, can you verify if you can reproduce this bug after Jirka's suggestion? Let us know the result so that we can close the bug if you can't reproduce it anymore.
Comment 8 Nicolas Auvray 2016-02-12 11:08:15 EST
Sorry for delay, thanks Jiri and Jarka for your answers.
I couldn't manage to reproduce this bug since I redeployed a 7.2 from scratch on customer site, so impossible to retry a 7.1 -> 7.2 update. I'm closing this bug then.

Note You need to log in before you can comment on or make changes to this bug.